@charset "utf-8";

/* ################################################## GENERAL ################################################## */
:root {
    --container-max-width: 100%;
    --header-height: 88px;
}

html {
    scroll-behavior: smooth;
}

section[id],
div[id] {
    scroll-margin-top: var(--header-height);
}

html,
body {
    max-width: none;
    height: 100%;
    margin: 0;
}

body {
    display: flex;
    flex-direction: column;
}

video {
    display: block;
}

img,
video,
picture {
    max-width: 100%;
    height: auto;
}

select {
    cursor: pointer;
}

.unbreakable {
    white-space: nowrap;
}

.image-fluid {
    width: 100%;
    height: 100% !important;
    object-fit: cover;
}

.iframe-fullwidth iframe {
    width: 100%;
}

.content *:last-child {
    margin-bottom: 0;
}

.flex-grow-1 > figure picture {
    display: block;
    width: 100%;
    height: 100% !important;
    position: relative;
}

.flex-grow-1 img {
    object-fit: cover;
}

.grecaptcha-badge { 
    visibility: hidden !important;
}

/* HEADER */
.navbar-brand {
    font-size: 1.35rem;
    font-weight: 500;
}
.navbar-brand img {
    height: 40px;
}

section:first-of-type {
    margin-top: var(--header-height);
}

/* BOOKING HERO */

#booking-hero .image-container {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #ffffff;
}

#booking-hero img {
  width: 100%;
  max-height: 500px;
  object-fit: cover;
  border-radius: 50px;
  position: relative;
}

#booking-hero .image-container::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.45);
  border-radius: 50px;
  pointer-events: none;
}

#booking-hero .hero-text {
  position: absolute;
  z-index: 1;
  max-width: 70%;
}

#booking-hero .hero-text p {
    display: none;
}

#booking-hero .booking-box {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 50%);
  background: #ffffff;
  padding: 20px 0;
  border-radius: 66px;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  display: flex;
  align-items: center;
  z-index: 2;
  max-width: 100%;
  flex-direction: column;
}

#booking-hero .booking-input {
  padding: 0 4rem;
  width: auto;
}

#booking-hero .booking-input:not(:last-of-type) {
  border-right: 1px solid rgba(0, 0, 0, .28);
}

#booking-hero .booking-button {
  background-color: var(--bs-primary);
  aspect-ratio: 1 / 1;
  height: 100%;
  width: auto;
  padding: 1.25rem;
  border-radius: 50%;
  color: var(--bs-white);
  display: grid;
  place-content: center;
}

#booking-hero label {
  color: var(--bs-body-color);
  font-weight: 500;
  margin-bottom: 0;
}

#booking-hero input,
#booking-hero select {
  border: none;
  padding-left: 0;
  width: auto;
}

/* TOURNAMENTS */
#tournaments {
  margin-top: 3rem;
}

@media screen and (min-width: 992px) {
    #tournaments {
      margin-top: 8rem;
    }
    
    #booking-hero .booking-box {
      flex-direction: row;
    }
}

#tournaments .tournament-item {
  transition: all .3s ease;
}

#tournaments .tournament-item:hover {
  cursor: pointer;
  box-shadow: rgba(17, 12, 46, 0.15) 0px 48px 100px 0px !important;
}

/* TOURNAMENT INFO */
#tournament-info .masonry {
  column-count: 1;
  column-gap: 2rem; /* same as gx spacing */
}

#tournament-info .masonry-item {
  break-inside: avoid;
  margin-bottom: 2rem;
}

/* LOCATIONS */
.location-item {
  position: relative;
  background: #f3f3f3;
  display: flex;
  align-items: end;
  justify-content: start;
  border-radius: 20px;
  overflow: hidden;
  height: 100%;
}

.location-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  transition: all .3s ease;
}

.location-item-chip {
  position: absolute;
  background-color: rgba(255, 255, 255, .72);
  border-radius: 66px;
  padding: .5rem 2rem;
  font-weight: 500;
  font-size: 1.1rem;
  left: 1rem;
  bottom: 1rem;
}

.location-item:hover img {
    scale: 1.06;
}

.mixitup-page-list .mixitup-control {
    border: none;
    width: 2.5rem;
    height: 2.5rem;
    border-radius: 50%;
}

.mixitup-page-list .mixitup-control-active {
    color: #FFFFFF;
    background-color: var(--bs-primary);
}


/* ################################################## MEDIA QUERIES ################################################## */
/* Below small devices (standard values) */

/* Small devices (landscape phones, 576px and up) */
/* Bootstrap: -sm */
@media (min-width: 576px) {}

/* Medium devices (tablets, 768px and up) */
/* Bootstrap: -md */
@media (min-width: 768px) {}

/* Large devices (desktops, 992px and up) */
/* Bootstrap: -lg */
@media (min-width: 992px) {
    #tournament-info .masonry {
      column-count: 2;
    }
    
    .tournament-large-item {
      flex: 0 0 140px; /* do not shrink or grow */
    }
    
    #booking-hero .hero-text p {
        display: block;
    }
}

/* Extra large devices (large desktops, 1200px and up) */
/* Bootstrap: -xl */
@media (min-width: 1200px) {}

/* HD devices (extra large desktops, 1540px and up) */
@media (min-width: 1540px) {}

@media (max-width: 992px) {
    .tournament-large-item h2 {
        font-size: 1.5rem;
    }
    .tournament-large-item h5 {
        font-size: 1rem;
    }
}